+++
title = "So why do I need a backup?"
description = "Because RAID protects you against one and only one specific thing: disk failures."
weight = 2
type = "post"
+++

Having a number of disks in RAID may _seem_ like a backup, especially if you're using a mirror mode. But this is _wrong_!

RAID protects you against one and only one thing: a disk failure. 

It does _not_ protect you against any of the following things:

* Multiple disk failures beyond the RAID level chosen (e.g. both disks in a mirror, or 3 disks in a RAID-6), including possible [UREs](https://holtstrom.com/michael/blog/post/588/RAID-5-URE-Failures.html) - on that later subject, RAID-5 should be considered harmful these days for any disks larger than 1TB.
* Failure of the RAID controller itself (especially when using hardware RAID), the computer running the RAID, or the environment containing the servers (a flood, fire, theft, etc.).
* Data corruption on-disk from filesystem bugs, cosmic rays, or minor hardware or firmware failures, which can and do happen all the time - you usually just don't notice and software works around it.
* Malicious or accidental deletion or modification of files by yourself or another party, including viruses, bad application writes, or administrative mistakes (e.g. `rm`-ing the wrong file or `mkfs` on an existing filesystem), which any seasoned sysadmin has done at least once (and hopefully not to production data)!

The adage is simple: "RAID replicates _everything_, instantly, even the stuff you don't want it to."
